| Visioscan Set SDK Libraries 1.3.5 Visioscan Set SDK Help documentation file for C++ and C++/CLI |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ThreadCreationException Class Reference

An Exception used when a thread creation error is detected. More...

`#include <ThreadCreationException.h>`

Inheritance diagram for ThreadCreationException:

## Public Member Functions
| ThreadCreationException (const char *message, const char *translateCode)
| Copy constructor.
| ThreadCreationException (const string &message, string translateCode)
| Copy constructor.
| ThreadCreationException (ThreadCreationException const &) noexcept=default
| Copy constructor.
ThreadCreationException & | operator= (ThreadCreationException const &) noexcept=default
| Assignation operator.
| ~ThreadCreationException () override=default
const char * | what () const noexcept override
| Overload of message retrie.

## Detailed Description

An Exception used when a thread creation error is detected.

## Constructor & Destructor Documentation

## ◆ ThreadCreationException() [1/3]

ThreadCreationException::ThreadCreationException | ( | const char * | message,
|  | const char * | translateCode )
| inline explicit

Copy constructor.

Parameters

  message | A message pointer to a char

## ◆ ThreadCreationException() [2/3]

ThreadCreationException::ThreadCreationException | ( | const string & | message,
|  | string | translateCode )
| inline explicit

Copy constructor.

Parameters

  message | A message string to a char

## ◆ ThreadCreationException() [3/3]

ThreadCreationException::ThreadCreationException | ( | ThreadCreationException const & |  | ) |
| default noexcept

Copy constructor.

Returns

## ◆ ~ThreadCreationException()

ThreadCreationException::~ThreadCreationException | ( |  | ) |
| override default

## Member Function Documentation

## ◆ operator=()

ThreadCreationException & ThreadCreationException::operator= | ( | ThreadCreationException const & |  | ) |
| default noexcept

Assignation operator.

Returns

## ◆ what()

const char * ThreadCreationException::what | ( |  | ) | const
| inline override noexcept

Overload of message retrie.

Returns
  A pointer to a char representing the message

The documentation for this class was generated from the following file:

- ThreadCreationException.h